Bug 242210 - Targeted policy prevents wireless with NetworkManager
Summary: Targeted policy prevents wireless with NetworkManager
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 7
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-02 08:01 UTC by Christopher Tubbs
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:08:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Tubbs 2007-06-02 08:01:43 UTC
Description of problem:

The targeted policy prevents is preventing NetworkManager from accessing
wireless wlan0 connections. AVC denied messages are produced. The SELinux
Troubleshooter suggests a labeling problem with wlan0, but restorecon doesn't
fix the problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install F7 on a laptop with iwl3945 wireless as wlan0.
2. Enable NetworkManager
3. Try to connect to any wireless network.
  
Actual results:

No Wireless connection.

Expected results:

Wireless connection.

Additional info:
results of cat /var/log/messages | grep wlan0
Jun  2 03:50:48 lappy setroubleshoot:      SELinux is preventing
/usr/sbin/NetworkManager (NetworkManager_t) "unlink" to wlan0 (var_run_t).     
For complete SELinux messages. run sealert -l 286c60a0-5ec3-4fc6-94bc-312dc4b88e55

Comment 1 Daniel Walsh 2007-06-04 15:40:19 UTC
Fixed in selinux-policy-2.6.4-13.fc7

restorecon -R -v /var/run should fix this for now.

Comment 2 Bruce Brackbill 2007-07-31 04:04:05 UTC
This is a bug for me also.

Using selinux-policy-2.6.4-29.fc7

restorecon -R -v /var/run works as a workaround until I reboot

Comment 3 Daniel Walsh 2007-07-31 14:13:48 UTC
Is this file created by wpa_supplicant?


restorecon /usr/sbin/wpa_supplicant



Comment 4 Daniel Walsh 2007-08-22 14:08:42 UTC
Closing as fixes are in the current release


Note You need to log in before you can comment on or make changes to this bug.